[Gutsy] VLC Crashes instantly fails to Start

Bug #120278 reported by Trueno22 on 2007-06-13
64
This bug affects 1 person
Affects Status Importance Assigned to Milestone
VLC media player
Invalid
Undecided
Unassigned
glib2.0 (Ubuntu)
Medium
Ubuntu Desktop Bugs
vlc (Mandriva)
Fix Released
Medium
vlc (Ubuntu)
High
Unassigned
Gutsy
High
Unassigned
wxwidgets2.6 (Ubuntu)
High
Daniel T Chen
wxwidgets2.8 (Ubuntu)
High
Adrien Cunin

Bug Description

Binary package hint: vlc

In Gusty todays updates 13/06/2007 glibc library updates caused VLC to crash do to a invalid pointer. Here is the crash report:
[code]$ vlc
VLC media player 0.8.6 Janus

***MEMORY-WARNING***: [5499]: GSlice: g_thread_init() must be called before all other GLib functions; memory corruption due to late invocation of g_thread_init() has been detected; this program is likely to crash, leak or unexpectedly abort soon...
*** glibc detected *** vlc: free(): invalid pointer: 0x085c62d0 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb7bd7f7d]
/lib/tls/i686/cmov/libc.so.6(cfree+0x90)[0xb7bdb5c0]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xb47c9791]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0xb5376b70]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN8wxButton10SetDefaultEv+0x76)[0xb5376c56]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN5wxvlc8MessagesC1EP13intf_thread_tP8wxWindow+0x5b4)[0xb58246f4]
======= Memory map: ========
08048000-08049000 r-xp 00000000 08:01 1324544 /usr/bin/vlc
08049000-0804a000 rw-p 00000000 08:01 1324544 /usr/bin/vlc
0804a000-085f3000 rw-p 0804a000 00:00 0 [heap]
b390a000-b3919000 r-xp 00000000 08:01 474335 /lib/libbz2.so.1.0.3
b3919000-b391a000 rw-p 0000f000 08:01 474335 /lib/libbz2.so.1.0.3
b391a000-b394a000 r-xp 00000000 08:01 660206 /usr/lib/libcroco-0.6.so.3.0.1
b394a000-b394d000 rw-p 0002f000 08:01 660206 /usr/lib/libcroco-0.6.so.3.0.1
b394d000-b3979000 r-xp 00000000 08:01 660217 /usr/lib/libgsf-1.so.114.0.3
b3979000-b397c000 rw-p 0002b000 08:01 660217 /usr/lib/libgsf-1.so.114.0.3
b397c000-b397d000 rw-p b397c000 00:00 0
b397d000-b39ab000 r-xp 00000000 08:01 660223 /usr/lib/librsvg-2.so.2.16.1
b39ab000-b39ac000 rw-p 0002e000 08:01 660223 /usr/lib/librsvg-2.so.2.16.1
b39b8000-b3a37000 r--p 00000000 08:01 704003 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
b3a37000-b3a3a000 rw-s 00000000 00:09 22428 /SYSV00000000 (deleted)
b3a3a000-b3a9a000 rw-s 00000000 00:09 22427 /SYSV00000000 (deleted)
b3a9a000-b3afa000 rw-s 00000000 00:09 22426 /SYSV00000000 (deleted)
b3afa000-b3b23000 r-xp 00000000 08:01 659546 /usr/lib/libgnomecanvas-2.so.0.1400.0
b3b23000-b3b24000 rw-p 00029000 08:01 659546 /usr/lib/libgnomecanvas-2.so.0.1400.0
b3b24000-b3b60000 r-xp 00000000 08:01 661901 /usr/lib/libgnomeprintui-2-2.so.0.1.0
b3b60000-b3b62000 rw-p 0003c000 08:01 661901 /usr/lib/libgnomeprintui-2-2.so.0.1.0
b3b62000-b3c79000 r-xp 00000000 08:01 659405 /usr/lib/libxml2.so.2.6.28
b3c79000-b3c7e000 rw-p 00117000 08:01 659405 /usr/lib/libxml2.so.2.6.28
b3c7e000-b3c7f000 rw-p b3c7e000 00:00 0
b3c7f000-b3c94000 r-xp 00000000 08:01 659573 /usr/lib/libart_lgpl_2.so.2.3.19
b3c94000-b3c95000 rw-p 00014000 08:01 659573 /usr/lib/libart_lgpl_2.so.2.3.19
b3c95000-b3cf9000 r-xp 00000000 08:01 661891 /usr/lib/libgnomeprint-2-2.so.0.1.0
b3cf9000-b3cfb000 rw-p 00063000 08:01 661891 /usr/lib/libgnomeprint-2-2.so.0.1.0
b3cfb000-b3cfc000 r-xp 00000000 08:01 738741 /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
b3cfc000-b3cfd000 rw-p 00000000 08:01 738741 /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
b3cfd000-b3cff000 r-xp 00000000 08:01 720707 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b3cff000-b3d00000 rw-p 00001000 08:01 720707 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b3d00000-b3d06000 r-xp 00000000 08:01 740688 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
b3d06000-b3d07000 rw-p 00005000 08:01 740688 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
b3d07000-b3d0d000 r--s 00000000 08:01 866689 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86.cache-2
b3d0d000-b3d0e000 r--s 00000000 08:01 866766 /var/cache/fontconfig/fd9505950c048a77dc4b710eb6a628ed-x86.cache-2
b3d0e000-b3d11000 r--s 00000000 08:01 866765 /var/cache/fontconfig/ddc79d3ea06a7c6ffa86ede85f3bb5df-x86.cache-2
b3d11000-b3d12000 r--s 00000000 08:01 866764 /var/cache/fontconfig/e7071f4a29fa870f4323321c154eba04-x86.cache-2
b3d12000-b3d13000 r--s 00000000 08:01 866763 /var/cache/fontconfig/a2ab74764b07279e7c36ddb1d302cf26-x86.cache-2
b3d13000-b3d17000 r--s 00000000 08:01 866762 /var/cache/fontconfig/921a30a17f0be15c70ac14043cb7a739-x86.cache-2
b3d17000-b3d18000 r--s 00000000 08:01 866761 /var/cache/fontconfig/c69f04ab05004e31a6d5e715764f16d8-x86.cache-2
b3d18000-b3d1b000 r--s 00000000 08:01 866794 /var/cache/fontconfig/926e794c3d5e5dffcaf2fa83ef8d36c2-x86.cache-2
b3d1b000-b3d1c000 r--s 00000000 08:01 866760 /var/cache/fontconfig/4c73fe0c47614734b17d736dbde7580a-x86.cache-2
b3d1c000-b3d1e000 r--s 00000000 08:01 866759 /var/cache/fontconfig/646addb8444faa74ee138aa00ab0b6a0-x86.cache-2
b3d1e000-b3d20000 r--s 00000000 08:01 866758 /var/cache/fontconfig/20bd79ad97094406f7d1b9654bfbd926-x86.cache-2
b3d20000-b3d21000 r--s 00000000 08:01 866757 /var/cache/fontconfig/75a2cd575a62c63e802c11411fb87c37-x86.cache-2
b3d21000-b3d23000 r--s 00000000 08:01 866756 /var/cache/fontconfig/9c0624108b9a2ae8552f664125be8356-x86.cache-2
b3d23000-b3d29000 r--s 00000000 08:01 866755 /var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-x86.cache-2
b3d29000-b3d2b000 r--s 00000000 08:01 866754 /var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-x86.cache-2
b3d2b000-b3d2d000 r--s 00000000 08:01 866753 /var/cache/fontconfig/da1bd5ca8443ffe22927a23ce431d198-x86.cache-2
b3d2d000-b3d35000 r--s 00000000 08:01 866752 /var/cache/fontconfig/e3de0de479f42330eadf588a55fb5bf4-x86.cache-2
b3d35000-b3d3b000 r--s 00000000 08:01 866751 /var/cache/fontconfig/0f34bcd4b6ee430af32735b75db7f02b-x86.cache-2
b3d3b000-b3d52000 r--s 00000000 08:01 866750 /var/cache/fontconfig/365b55f210c0a22e9a19e35191240f32-x86.cache-2
b3d52000-b3d54000 r--s 00000000 08:01 866749 /var/cache/fontconfig/de9486f0b47a4d768a594cb4198cb1c6-x86.cache-2
b3d54000-b3d5a000 r--s 00000000 08:01 866748 /var/cache/fontconfig/d52a8644073d54c13679302ca1180695-x86.cache-2
b3d5a000-b3d5d000 r--s 00000000 08:01 866747 /var/cache/fontconfig/6386b86020ecc1ef9690bb720a13964f-x86.cache-2
b3d5d000-b3d61000 r--s 00000000 08:01 866667 /var/cache/fontconfig/089dead882dea3570ffc31a9898cfb69-x86.cache-2
b3d61000-b3d68000 r--s 00000000 08:01 866661 /var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-x86.cache-2
b3d68000-b3d69000 r--s 00000000 08:01 866743 /var/cache/fontconfig/fcff1cd55d48a2c86a175e9943c3506d-x86.cache-2
b3d69000-b3d6a000 r--s 00000000 08:01 866742 /var/cache/fontconfig/e9e44584608a73233979f764b5f9dd81-x86.cache-2
b3d6a000-b3d6b000 r--s 00000000 08:01 866741 /var/cache/fontconfig/b5a4f3f568a71026ccdc6a3a51afa9b4-x86.cache-2
b3d6b000-b3d6c000 r--s 00000000 08:01 866740 /var/cache/fontconfig/2561679576a9c7fd2ce41d281d4e00d1-x86.cache-2
b3d6c000-b3d6d000 r--s 00000000 08:01 866739 /var/cache/fontconfig/bf1f9632594a1fa28e2cf4d7888deffe-x86.cache-2
b3d6d000-b3d70000 r--s 00000000 08:01 866738 /var/cache/fontconfig/b8613a33de00eecd32d5a94c3c617829-x86.cache-2
b3d70000-b3d73000 r--s 00000000 08:01 866737 /var/cache/fontconfig/b21a91cee725896328b8cee8091cf747-x86.cache-2
b3d73000-b3d7c000 r--s 00000000 08:01 866736 /var/cache/fontconfig/fd9416c4b92f07c6f59a3a8cf496e9dc-x86.cache-2
b3d7c000-b3d7e000 r--s 00000000 08:01 866735 /var/cache/fontconfig/059138ec877db160474b4d5de1248d14-x86.cache-2
b3d7e000-b3d7f000 r--s 00000000 08:01 866734 /var/cache/fontconfig/f5a93ac943883aa0fd9a7bfe0f6ec3c1-x86.cache-2
b3d7f000-b3d81000 r--s 00000000 08:01 866733 /var/cache/fontconfig/118d8d5311348bbdf5fe3b106d7c13d4-x86.cache-2
b3d81000-b3d86000 r--s 00000000 08:01 866731 /var/cache/fontconfig/8ab5f685cd6d8ba67c37c908faf08172-x86.cache-2
b3d86000-b3d8b000 r--s 00000000 08:01 866730 /var/cache/fontconfig/0f32d3adc6a232110812e17374eaa446-x86.cache-2
b3d8b000-b3d91000 r--s 00000000 08:01 866793 /var/cache/fontconfig/7b4a97c10f6c0166998ddfa1cf7392fb-x86.cache-2
b3d91000-b3d94000 r--s 00000000 08:01 866728 /var/cache/fontconfig/61c830dfac3fd78a12654da5e9ba3f56-x86.cache-2
b3d94000-b3d96000 r--s 00000000 08:01 866725 /var/cache/fontconfig/4123634e9c08547d899d0aaff05ebe69-x86.cache-2
b3d96000-b3d9c000 r--s 00000000 08:01 866724 /var/cache/fontconfig/142ecfc435bad6f1fbc2648c1119d5eb-x86.cache-2
b3d9c000-b3da2000 r--s 00000000 08:01 866723 /var/cache/fontconfig/102e5142c2e9e50c5e8ece26694a2dad-x86.cache-2
b3da2000-b3daa000 r--s 00000000 08:01 866721 /var/cache/fontconfig/a960c40fc9306f090224a04585f8a963-x86.cache-2
b3daa000-b3daf000 r--s 00000000 08:01 866720 /var/cache/fontconfig/9404ff413c67fc2a1526fd14eb4163a8-x86.cache-2
b3daf000-b3db2000 r--s 00000000 08:01 866692 /var/cache/fontconfig/b3fedf7c409f006ca1a6fceffceb77cf-x86.cache-2
b3db2000-b3dd7000 r-xp 00000000 08:01 774656 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
b3dd7000-b3dd8000 rw-p 00024000 08:01 774656 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
b3dd8000-b3eaf000 r--p 00000000 08:01 689396 /usr/lib/locale/en_US.utf8/LC_COLLATE
b3eaf000-b3eb0000 ---p b3eaf000 00:00 0
b3eb0000-b46b0000 rw-p b3eb0000 00:00 0
b46b0000-b471a000 r-xp 00000000 08:01 661061 /usr/lib/libfreetype.so.6.3.15
b471a000-b471e000 rw-p 00069000 08:01 661061 /usr/lib/libfreetype.so.6.3.15
b471e000-b4791000 r-xp 00000000 08:01 661670 /usr/lib/libcairo.so.2.11.3
b4791000-b4793000 rw-p 00072000 08:01 661670 /usr/lib/libcairo.so.2.11.3
b4793000-b484c000 r-xp 00000000 08:01 656590 /usr/lib/libglib-2.0.so.0.1304.0
b484c000-b484d000 rw-p 000b9000 08:01 656590 /usr/lib/libglib-2.0.so.0.1304.0
b484e000-b4854000 r--s 00000000 08:01 866719 /var/cache/fontconfig/6330322105e0c4105d7c7a6ea2974107-x86.cache-2
b4854000-b4881000 r-xp 00000000 08:01 655249 /usr/lib/libpangoft2-1.0.so.0.1702.0
b4881000-b4882000 rw-p 0002c000 08:01 655249 /usr/lib/libpangoft2-1.0.so.0.1702.0
b4882000-b4886000 r-xp 00000000 08:01 658942 /usr/lib/libXdmcp.so.6.0.0
b4886000-b4887000 rw-p 00003000 08:01 658942 /usr/lib/libXdmcp.so.6.0.0
b4887000-b4889000 r-xp 00000000 08:01 658936 /usr/lib/libXau.so.6.0.0
b4889000-b488a000 rw-p 00001000 08:01 658936 /usr/lib/libXau.so.6.0.0
b488a000-b488c000 r-xp 00000000 08:01 659231 /usr/lib/libXdamage.so.1.1.0
b488c000-b488d000 rw-p 00001000 08:01 659231 /usr/lib/libXdamage.so.1.1.0
b488d000-b48ab000 r-xp 00000000 08:01 658968 /usr/lib/libexpat.so.1.0.0
b48ab000-b48ad000 rw-p 0001d000 08:01 658968 /usr/lib/libexpat.so.1.0.0
b48ad000-b48fe000 r-xp 00000000 08:01 659642 /usr/lib/libtiff.so.4.2.1
b48fe000-b4900000 rw-p 00051000 08:01 659642 /usr/lib/libtiff.so.4.2.1
b4900000-b4921000 rw-p b4900000 00:00 0
b4921000-b4a00000 ---p b4921000 00:00 0
b4a00000-b4a01000 r--s 00000000 08:01 866732 /var/cache/fontconfig/a1131b7be650f9abae4907495aa5815d-x86.cache-2
b4a01000-b4a02000 r--s 00000000 08:01 866727 /var/cache/fontconfig/e0f9e95429e756d56293ed4d63866094-x86.cache-2
b4a02000-b4a0a000 r-xp 00000000 08:01 655240 /usr/lib/libpangocairo-1.0.so.0.1702.0
b4a0a000-b4a0b000 rw-p 00007000 08:01 655240 /usr/lib/libpangocairo-1.0.so.0.1702.0
b4a0b000-b4a29000 r-xp 00000000 08:01 659521 /usr/lib/libjpeg.so.62.0.0
b4a29000-b4a2a000 rw-p 0001d000 08:01 659521 /usr/lib/libjpeg.so.62.0.0
b4a2a000-b4a4c000 r-xp 00000000 08:01 659346 /usr/lib/libpng12.so.0.15.0
b4a4c000-b4a4d000 rw-p 00021000 08:01 659346 /usr/lib/libpng12.so.0.15.0
b4a4d000-b4a51000 r-xp 00000000 08:01 656625 /usr/lib/libgthread-2.0.so.0.1304.0
b4a51000-b4a52000 rw-p 00003000 08:01 656625 /usr/lib/libgthread-2.0.so.0.1304.0
b4a52000-b4a55000 r-xp 00000000 08:01 656604 /usr/lib/libgmodule-2.0.so.0.1304.0
b4a55000-b4a56000 rw-p 00002000 08:01 656604 /usr/lib/libgmodule-2.0.so.0.1304.0
b4a56000-b4a92000 r-xp 00000000 08:01 656623 /usr/lib/libgobject-2.0.so.0.1304.0
b4a92000-b4a93000 rw-p 0003c000 08:01 656623 /usr/lib/libgobject-2.0.so.0.1304.0
b4a93000-b4b80000 r-xp 00000000 08:01 658935 /usr/lib/libX11.so.6.2.0
b4b80000-b4b84000 rw-p 000ed000 08:01 658935 /usr/lib/libX11.so.6.2.0
b4b84000-b4bc2000 r-xp 00000000 08:01 655235 /usr/lib/libpango-1.0.so.0.1702.0
b4bc2000-b4bc4000 rw-p 0003d000 08:01 655235 /usr/lib/libpango-1.0.so.0.1702.0
b4bc4000-b4bc8000 r-xp 00000000 08:01 658962 /usr/lib/libXfixes.so.3.1.0
b4bc8000-b4bc9000 rw-p 00003000 08:01 658962 /usr/lib/libXfixes.so.3.1.0
b4bc9000-b4bd1000 r-xp 00000000 08:01 659137 /usr/lib/libXcursor.so.1.0.2
b4bd1000-b4bd2000 rw-p 00007000 08:01 659137 /usr/lib/libXcursor.so.1.0.2
b4bd2000-b4bd7000 r-xp 00000000 08:01 659126 /usr/lib/libXrandr.so.2.1.0
b4bd7000-b4bd8000 rw-p 00005000 08:01 659126 /usr/lib/libXrandr.so.2.1.0
b4bd8000-b4bdf000 r-xp 00000000 08:01 659140 /usr/lib/libXi.so.6.0.0
b4bdf000-b4be0000 rw-p 00006000 08:01 659140 /usr/lib/libXi.so.6.0.0
b4be0000-b4be7000 r-xp 00000000 08:01 659059 /usr/lib/libXrender.so.1.3.0
b4be7000-b4be8000 rw-p 00006000 08:01 659059 /usr/lib/libXrender.so.1.3.0
b4be8000-b4bf5000 r-xp 00000000 08:01 658948 /usr/lib/libXext.so.6.4.0
b4bf5000-b4bf6000 rw-p 0000d000 08:01 658948 /usr/lib/libXext.so.6.4.0
b4bf6000-b4c19000 r-xp 00000000 08:01 659053 /usr/lib/libfontconfig.so.1.2.0
b4c19000-b4c21000 rw-p 00023000 08:01 659053 /usr/lib/libfontconfig.so.1.2.0
b4c21000-b4c37000 r-xp 00000000 08:01 659003 /usr/lib/libgdk_pixbuf-2.0.so.0.1102.0
b4c37000-b4c38000 rw-p 00016000 08:01 659003 /usr/lib/libgdk_pixbuf-2.0.so.0.1102.0
b4c38000-b4c50000 r-xp 00000000 08:01 657552 /usr/lib/libatk-1.0.so.0.1912.1
b4c50000-b4c52000 rw-p 00018000 08:01 657552 /usr/lib/libatk-1.0.so.0.1912.1
b4c52000-b4cdf000 r-xp 00000000 08:01 659002 /usr/lib/libgdk-x11-2.0.so.0.1102.0
b4cdf000-b4ce2000 rw-p 0008c000 08:01 659002 /usr/lib/libgdk-x11-2.0.so.0.1102.0
b4ce2000-b5083000 r-xp 00000000 08:01 659067 /usr/lib/libgtk-x11-2.0.so.0.1102.0
b5083000-b5089000 rw-p 003a0000 08:01 659067 /usr/lib/libgtk-x11-2.0.so.0.1102.0
b5089000-b508a000 rw-p b5089000 00:00 0
b508a000-b509d000 r-xp 00000000 08:01 655514 /usr/lib/libz.so.1.2.3
b509d000-b509e000 rw-p 00012000 08:01 655514 /usr/lib/libz.so.1.2.3
b509e000-b51cc000 r-xp 00000000 08:01 664882 /usr/lib/libwx_baseu-2.6.so.0.3.1
b51cc000-b51d4000 rw-p 0012d000 08:01 664882 /usr/lib/libwx_baseu-2.6.so.0.3.1
b51d4000-b51e1000 rw-p b51d4000 00:00 0
b51e1000-b520e000 r-xp 00000000 08:01 664883 /usr/lib/libwx_baseu_net-2.6.so.0.3.1
b520e000-b5210000 rw-p 0002c000 08:01 664883 /usr/lib/libwx_baseu_net-2.6.so.0.3.1
b5210000-b5218000 r-xp 00000000 08:01 664884 /usr/lib/libwx_baseu_xml-2.6.so.0.3.1
b5218000-b5219000 rw-p 00007000 08:01 664884 /usr/lib/libwx_baseu_xml-2.6.so.0.3.1
b5219000-b54fb000 r-xp 00000000 08:01 664895 /usr/lib/libwx_gtk2u_core-2.6.so.0.3.1
b54fb000-b551d000 rw-p 002e2000 08:01 664895 /usr/lib/libwx_gtk2u_core-2.6.so.0.3.1
b551d000-b5523000 rw-p b551d000 00:00 0
b5523000-b55bf000 r-xp 00000000 08:01 664893 /usr/lib/libwx_gtk2u_adv-2.6.so.0.3.1
b55bf000-b55c6000 rw-p 0009b000 08:01 664893 /usr/lib/libwx_gtk2u_adv-2.6.so.0.3.1
b55c6000-b55c8000 rw-p b55c6000 00:00 0
b55c8000-b5652000 r-xp 00000000 08:01 664901 /usr/lib/libwx_gtk2u_html-2.6.so.0.3.1
b5652000-b5658000 rw-p 00089000 08:01 664901 /usr/lib/libwx_gtk2u_html-2.6.so.0.3.1
b5658000-b5676000 r-xp 00000000 08:01 664906 /usr/lib/libwx_gtk2u_qa-2.6.so.0.3.1
b5676000-b5678000 rw-p 0001d000 08:01 664906 /usr/lib/libwx_gtk2u_qa-2.6.so.0.3.1
b5678000-b56fa000 r-xp 00000000 08:01 664909 /usr/lib/libwx_gtk2u_xrc-2.6.so.0.3.1
b56fa000-b56fe000 rw-p 00081000 08:01 664909 /usr/lib/libwx_gtk2u_xrc-2.6.so.0.3.1
b56fe000-b56ff000 rw-p b56fe000 00:00 0
b56ff000-b5717000 r-xp 00000000 08:01 660461 /usr/lib/libcdio.so.6.0.1
b5717000-b5718000 rw-p 00018000 08:01 660461 /usr/lib/libcdio.so.6.0.1
b5718000-b571c000 rw-p b5718000 00:00 0
b571c000-b5727000 r-xp 00000000 08:01 664635 /usr/lib/libiso9660.so.4.0.1
b5727000-b5728000 rw-p 0000b000 08:01 664635 /usr/lib/libiso9660.so.4.0.1
b5728000-b5750000 r-xp 00000000 08:01 664646 /usr/lib/libvcdinfo.so.0.2.0
b5750000-b5751000 rw-p 00028000 08:01 664646 /usr/lib/libvcdinfo.so.0.2.0
b5751000-b5752000 rw-p b5751000 00:00 0
b5752000-b5753000 r--s 00000000 08:01 866726 /var/cache/fontconfig/892f88ea27b235637f494d515247eddd-x86.cache-2
b5753000-b5754000 r--s 00000000 08:01 866722 /var/cache/fontconfig/92a571655fb1c0ec1c4d6f496220600a-x86.cache-2
b5754000-b5755000 r-xp 00000000 08:01 656877 /usr/lib/gconv/ISO8859-1.so
b5755000-b5757000 rw-p 00000000 08:01 656877 /usr/lib/gconv/ISO8859-1.so
b5757000-b5758000 r--p 00000000 08:01 689394 /usr/lib/locale/en_US.utf8/LC_NUMERIC
b5758000-b5759000 r--p 00000000 08:01 689395 /usr/lib/locale/en_US.utf8/LC_TIME
b5759000-b575a000 r--p 00000000 08:01 689397 /usr/lib/locale/en_US.utf8/LC_MONETARY
b575a000-b575b000 r--p 00000000 08:01 689400 /usr/lib/locale/en_US.utf8/LC_PAPER
b575b000-b575c000 r--p 00000000 08:01 689401 /usr/lib/locale/en_US.utf8/LC_NAME
b575c000-b575d000 r--p 00000000 08:01 689402 /usr/lib/locale/en_US.utf8/LC_ADDRESS
b575d000-b575e000 r--p 00000000 08:01 689403 /usr/lib/locale/en_US.utf8/LC_TELEPHONE
b575e000-b58bf000 r-xp 00000000 08:01 1063608 /usr/lib/vlc/gui/libwxwidgets_plugin.so
b58bf000-b58d2000 rw-p 00160000 08:01 1063608 /usr/lib/vlc/gui/libwxwidgets_plugin.so
b58d2000-b58d6000 rw-p b58d2000 00:00 0
b58d6000-b58d7000 ---p b58d6000 00:00 0
b58d7000-b60d7000 rw-p b58d7000 00:00 0
b60d7000-b60d8000 ---p b60d7000 00:00 0
b60d8000-b68d8000 rw-p b60d8000 00:00 0
b68d8000-b68d9000 ---p b68d8000 00:00 0
b68d9000-b70d9000 rw-p b68d9000 00:00 0
b70d9000-b70da000 ---p b70d9000 00:00 0
b70da000-b78da000 rw-p b70da000 00:00 0
b78da000-b799b000 r-xp 00000000 08:01 1373635 /usr/lib/libasound.so.2.0.0
b799b000-b79a0000 rw-p 000c0000 08:01 1373635 /usr/lib/libasound.so.2.0.0
b79a0000-b79a2000 r-xp 00000000 08:01 661700 /usr/lib/libXcomposite.so.1.0.0
b79a2000-b79a3000 rw-p 00001000 08:01 661700 /usr/lib/libXcomposite.so.1.0.0
b79a3000-b79a5000 r-xp 00000000 08:01 659092 /usr/lib/libXinerama.so.1.0.0
b79a5000-b79a6000 rw-p 00001000 08:01 659092 /usr/lib/libXinerama.so.1.0.0
b79a6000-b79ab000 r-xp 00000000 08:01 1064633 /usr/lib/vlc/control/libhotkeys_plugin.so
b79ab000-b79ac000 rw-p 00004000 08:01 1064633 /usr/lib/vlc/control/libhotkeys_plugin.so
b79ac000-b79b5000 r-xp 00000000 08:01 474369 /lib/tls/i686/cmov/libnss_files-2.5.so
b79b5000-b79b7000 rw-p 00008000 08:01 474369 /lib/tls/i686/cmov/libnss_files-2.5.so
b79b7000-b79bf000 r-xp 00000000 08:01 474371 /lib/tls/i686/cmov/libnss_nis-2.5.so
b79bf000-b79c1000 rw-p 00007000 08:01 474371 /lib/tls/i686/cmov/libnss_nis-2.5.so
b79c1000-b79d4000 r-xp 00000000 08:01 474366 /lib/tls/i686/cmov/libnsl-2.5.so
b79d4000-b79d6000 rw-p 00012000 08:01 474366 /lib/tls/i686/cmov/libnsl-2.5.so
b79d6000-b79d8000 rw-p b79d6000 00:00 0
b79d8000-b79df000 r-xp 00000000 08:01 474367 /lib/tls/i686/cmov/libnss_compat-2.5.so
b79df000-b79e1000 rw-p 00006000 08:01 474367 /lib/tls/i686/cmov/libnss_compat-2.5.so
b79e1000-b79e2000 r--p 00000000 08:01 689404 /usr/lib/locale/en_US.utf8/LC_MEASUREMENT
b79e2000-b79e3000 r--p 00000000 08:01 689405 /usr/lib/locale/en_US.utf8/LC_IDENTIFICATION
b79e3000-b79e4000 r-xp 00000000 08:01 1064676 /usr/lib/vlc/misc/libscreensaver_plugin.so
b79e4000-b79e5000 rw-p 00000000 08:01 1064676 /usr/lib/vlc/misc/libscreensaver_plugin.so
b79e5000-b79e6000 r-xp 00000000 08:01 1064678 /usr/lib/vlc/misc/libmemcpy_plugin.so
b79e6000-b79e7000 rw-p 00000000 08:01 1064678 /usr/lib/vlc/misc/libmemcpy_plugin.so
b79e7000-b79ec000 r-xp 00000000 08:01 1064604 /usr/lib/vlc/audio_output/libalsa_plugin.so
b79ec000-b79ed000 rw-p 00004000 08:01 1064604 /usr/lib/vlc/audio_output/libalsa_plugin.so
b79ed000-b7a28000 r--p 00000000 08:01 689393 /usr/lib/locale/en_US.utf8/LC_CTYPE
b7a28000-b7a2a000 rw-p b7a28000 00:00 0
b7a2a000-b7a34000 r-xp 00000000 08:01 474293 /lib/libgcc_s.so.1
b7a34000-b7a35000 rw-p 0000a000 08:01 474293 /lib/libgcc_s.so.1
b7a35000-b7b1b000 r-xp 00000000 08:01 655085 /usr/lib/libstdc++.so.6.0.9
b7b1b000-b7b1e000 r--p 000e5000 08:01 655085 /usr/lib/libstdc++.so.6.0.9
b7b1e000-b7b20000 rw-p 000e8000 08:01 655085 /usr/lib/libstdc++.so.6.0.9
b7b20000-b7b26000 rw-p b7b20000 00:00 0
b7b26000-b7b2a000 r-xp 00000000 08:01 660525 /usr/lib/libogg.so.0.5.3
b7b2a000-b7b2b000 rw-p 00003000 08:01 660525 /usr/lib/libogg.so.0.5.3
b7b2b000-b7b63000 r-xp 00000000 08:01 660544 /usr/lib/libtheora.so.0.2.0
b7b63000-b7b64000 rw-p 00037000 08:01 660544 /usr/lib/libtheora.so.0.2.0
b7b64000-b7b6e000 r-xp 00000000 08:01 664654 /usr/lib/libdvbpsi.so.4.0.0
b7b6e000-b7b6f000 rw-p 00009000 08:01 664654 /usr/lib/libdvbpsi.so.4.0.0
b7b6f000-b7b70000 rw-p b7b6f000 00:00 0
b7b70000-b7cae000 r-xp 00000000 08:01 474359 /lib/tls/i686/cmov/libc-2.5.so
b7cae000-b7caf000 r--p 0013e000 08:01 474359 /lib/tls/i686/cmov/libc-2.5.so
b7caf000-b7cb1000 rw-p 0013f000 08:01 474359 /lib/tls/i686/cmov/libc-2.5.so
b7cb1000-b7cb4000 rw-p b7cb1000 00:00 0
b7cb4000-b7cd9000 r-xp 00000000 08:01 474364 /lib/tls/i686/cmov/libm-2.5.so
b7cd9000-b7cdb000 rw-p 00024000 08:01 474364 /lib/tls/i686/cmov/libm-2.5.so
b7cdb000-b7cdd000 r-xp 00000000 08:01 474362 /lib/tls/i686/cmov/libdl-2.5.so
b7cdd000-b7cdf000 rw-p 00001000 08:01 474362 /lib/tls/i686/cmov/libdl-2.5.so
b7cdf000-b7cf3000 r-xp 00000000 08:01 474376 /lib/tls/i686/cmov/libpthread-2.5.so
b7cf3000-b7cf5000 rw-p 00013000 08:01 474376 /lib/tls/i686/cmov/libpthread-2.5.so
b7cf5000-b7cf7000 rw-p b7cf5000 00:00 0
b7cf7000-b7cfe000 r-xp 00000000 08:01 474379 /lib/tls/i686/cmov/librt-2.5.so
b7cfe000-b7d00000 rw-p 00006000 08:01 474379 /lib/tls/i686/cmov/librt-2.5.so
b7d00000-b7d32000 r-xp 00000000 08:01 656519 /usr/lib/libdbus-1.so.3.2.0
b7d32000-b7d33000 rw-p 00031000 08:01 656519 /usr/lib/libdbus-1.so.3.2.0
b7d33000-b7d34000 rw-p b7d33000 00:00 0
b7d34000-b7d3f000 r-xp 00000000 08:01 659664 /usr/lib/libhal.so.1.0.0
b7d3f000-b7d40000 rw-p 0000a000 08:01 659664 /usr/lib/libhal.so.1.0.0
b7d40000-b7f07000 r-xp 00000000 08:01 1373662 /usr/lib/libvlc.so.0.0.0
b7f07000-b7f0e000 rw-p 001c6000 08:01 1373662 /usr/lib/libvlc.so.0.0.0
b7f0e000-b7f12000 rw-p b7f0e000 00:00 0
b7f12000-b7f15000 r-xp 00000000 08:01 1064606 /usr/lib/vlc/audio_output/liboss_plugin.so
b7f15000-b7f16000 rw-p 00002000 08:01 1064606 /usr/lib/vlc/audio_output/liboss_plugin.so
b7f16000-b7f1d000 r--s 00000000 08:01 655814 /usr/lib/gconv/gconv-modules.cache
b7f1d000-b7f1e000 r--p 00000000 08:01 689399 /usr/lib/locale/en_US.utf8/LC_MESSAGES/SYS_LC_MESSAGES
b7f1e000-b7f20000 rw-p b7f1e000 00:00 0
b7f20000-b7f39000 r-xp 00000000 08:01 474224 /lib/ld-2.5.so
b7f39000-b7f3b000 rw-p 00019000 08:01 474224 /lib/ld-2.5.so
bfeb5000-bfecb000 rw-p bfeb5000 00:00 0 [stack]
ffffe000-fffff000 r-xp 00000000 00:00 0 [vdso]
Aborted[/code]

sojourner (itsmealso2) wrote :

same here with 64bit , will post terminal output if reqyested.

Exact same problem. It worked yesterday when I installed it but one of the updates since then borked it.

32-bit here.

Shane (duairc) wrote :

Yeah, I get the same problem here. This happens on both my i386 and on my PowerPC boxes.

hangy (hangy) wrote :
Download full text (9.3 KiB)

vlc 0.8.6.release-0ubuntu5

GNU gdb 6.6-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) run
Starting program: /usr/bin/vlc
[Thread debugging using libthread_db enabled]
[New Thread 47984591173984 (LWP 4628)]
VLC media player 0.8.6 Janus
[New Thread 1082140992 (LWP 4631)]
[New Thread 1090533696 (LWP 4632)]
[New Thread 1098926400 (LWP 4633)]
[New Thread 1107319104 (LWP 4634)]
[New Thread 1115711808 (LWP 4635)]

***MEMORY-WARNING***: [4628]: GSlice: g_thread_init() must be called before all other GLib functions; memory corruption due to late invocation of g_thread_init() has been detected; this program is likely to crash, leak or unexpectedly abort soon...
*** glibc detected *** /usr/bin/vlc: free(): invalid pointer: 0x0000000000c0e740 ***
======= Backtrace: =========
/lib/libc.so.6[0x2ba4479ee050]
/lib/libc.so.6(cfree+0x8c)[0x2ba4479f178c]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0x2ba4637f5e1e]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN5wxvlc8MessagesC1EP13intf_thread_tP8wxWindow+0x524)[0x2ba4629354b4]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN15DialogsProviderC1EP13intf_thread_tP8wxWindow+0x1ea)[0x2ba4628f6e3a]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_Z21CreateDialogsProviderP13intf_thread_tP8wxWindow+0x34)[0x2ba4628f73e4]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN8Instance6OnInitEv+0x7d)[0x2ba4628ca23d]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN12wxAppConsole10CallOnInitEv+0xd)[0x2ba4628cb96d]
/usr/lib/libwx_baseu-2.6.so.0(_Z7wxEntryRiPPw+0x22)[0x2ba464067ae2]
/usr/lib/vlc/gui/libwxwidgets_plugin.so[0x2ba4628ca48c]
/usr/lib/libvlc.so.0[0x2ba4468e7710]
/usr/lib/libvlc.so.0(intf_RunThread+0x5a)[0x2ba4468e78ca]
/usr/lib/libvlc.so.0[0x2ba4468e4e02]
/usr/bin/vlc[0x400b90]
/lib/libc.so.6(__libc_start_main+0xf4)[0x2ba44799b8e4]
/usr/bin/vlc[0x400a39]
======= Memory map: ========
00400000-00401000 r-xp 00000000 03:03 394493 /usr/bin/vlc
00601000-00602000 rw-p 00001000 03:03 394493 /usr/bin/vlc
00602000-00da0000 rw-p 00602000 00:00 0 [heap]
40000000-40002000 rwxp 00000000 00:0e 2789 /dev/zero
40002000-40003000 ---p 40002000 00:00 0
40003000-40803000 rwxp 40003000 00:00 0
40803000-40804000 ---p 40803000 00:00 0
40804000-41004000 rwxp 40804000 00:00 0
41004000-41005000 ---p 41004000 00:00 0
41005000-41805000 rwxp 41005000 00:00 0
41805000-41806000 ---p 41805000 00:00 0
41806000-42006000 rwxp 41806000 00:00 0
42006000-42007000 ---p 42006000 00:00 0
42007000-42807000 rwxp 42007000 00:00 0
2aaaaaaab000-2aaaaab2a000 rw-p 2aaaaaaab000 00:00 0
2aaaaab2a000-2aaaaab2c000 r-xp 00000000 03:03 1114470 /usr/lib/vlc/video_output/libaa_plugin.so
2aaaaab2c000-2aaaaad2b000 ---p 00002000 03:03 1114470 /usr/lib/vlc/vi...

Read more...

Matti Lindell (mlind) wrote :

Confirmed on guysy, vlc (0.8.6.release-0ubuntu5). Is the crasher coming from wxwidgets2.6 ?

Program received signal SIGABRT, Aborted.
[Switching to Thread -1213478576 (LWP 7842)]
0xffffe410 in __kernel_vsyscall ()
(gdb) bt
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb7c2cdf0 in raise () from /lib/tls/i686/cmov/libc.so.6
#2 0xb7c2e641 in abort () from /lib/tls/i686/cmov/libc.so.6
#3 0xb7c6311b in ?? () from /lib/tls/i686/cmov/libc.so.6
#4 0x00000008 in ?? ()
#5 0xbfe4beec in ?? ()
#6 0x00000400 in ?? ()
#7 0x00008002 in ?? ()
#8 0xb7d7a461 in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#9 0xb7c6e6eb in free () from /lib/tls/i686/cmov/libc.so.6
#10 0xb6057791 in g_free () from /usr/lib/libglib-2.0.so.0
#11 0xb68f1b70 in ?? () from /usr/lib/libwx_gtk2u_core-2.6.so.0
#12 0xb68f1c56 in wxButton::SetDefault () from /usr/lib/libwx_gtk2u_core-2.6.so.0
#13 0xb6d936f4 in wxvlc::Messages::Messages () from /usr/lib/vlc/gui/libwxwidgets_plugin.so
#14 0xb6d4d56d in DialogsProvider::DialogsProvider () from /usr/lib/vlc/gui/libwxwidgets_plugin.so
#15 0xb6d4dcb0 in CreateDialogsProvider () from /usr/lib/vlc/gui/libwxwidgets_plugin.so
#16 0xb6d1b820 in Instance::OnInit () from /usr/lib/vlc/gui/libwxwidgets_plugin.so
#17 0xb6d1d23f in wxAppConsole::CallOnInit () from /usr/lib/vlc/gui/libwxwidgets_plugin.so
#18 0xb6690fb0 in wxEntry () from /usr/lib/libwx_baseu-2.6.so.0
#19 0xb6691086 in wxEntry () from /usr/lib/libwx_baseu-2.6.so.0
#20 0xb6d1ba6f in Init () from /usr/lib/vlc/gui/libwxwidgets_plugin.so
#21 0xb7df8c3e in ?? () from /usr/lib/libvlc.so.0
#22 0x081595f8 in ?? ()
#23 0xb7f65557 in ?? () from /usr/lib/libvlc.so.0
#24 0xb7df9290 in ?? () from /usr/lib/libvlc.so.0
#25 0x00000000 in ?? ()

Changed in vlc:
importance: Undecided → High
status: Unconfirmed → Confirmed
Matti Lindell (mlind) wrote :

According to related Mandriva bug, the problem seems to be with new glib memory allocator.
Running vlc using :
$ G_SLICE=always-malloc vlc

works fine.

Nicola Rosati (supernaicol) wrote :

Similar error to me:

*** glibc detected *** vlc: double free or corruption (out): 0x083d1710 ***

@mlind:
thank you, the workaround works!

fragro (frank-grossmann) wrote :
Download full text (7.8 KiB)

Here also! (Gusty on ia32)

[prompt]$ vlc
VLC media player 0.8.6 Janus

***MEMORY-WARNING***: [15694]: GSlice: g_thread_init() must be called before all other GLib functions; memory corruption due to late invocation of g_thread_init() has been detected; this program is likely to crash, leak or unexpectedly abort soon...
*** glibc detected *** vlc: free(): invalid pointer: 0x08411e70 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb7c68f7d]
/lib/tls/i686/cmov/libc.so.6(cfree+0x90)[0xb7c6c5c0]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xb6ae2791]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0xb748ab70]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN8wxButton10SetDefaultEv+0x76)[0xb748ac56]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN5wxvlc8MessagesC1EP13intf_thread_tP8wxWindow+0x5b4)[0xb792c6f4]
======= Memory map: ========
08048000-08049000 r-xp 00000000 08:01 116658 /usr/bin/vlc
08049000-0804a000 rw-p 00000000 08:01 116658 /usr/bin/vlc
0804a000-08596000 rw-p 0804a000 00:00 0 [heap]
b1900000-b1921000 rw-p b1900000 00:00 0
b1921000-b1a00000 ---p b1921000 00:00 0
b1a13000-b1ab4000 r--p 00000000 08:01 52795 /usr/share/icons/Tangerine/icon-theme.cache
b1ab4000-b1b33000 r--p 00000000 08:01 14223 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
b1b33000-b1b35000 r-xp 00000000 08:01 14068 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b1b35000-b1b36000 rw-p 00001000 08:01 14068 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b1b36000-b1b39000 rw-s 00000000 00:09 36956 /SYSV00000000 (deleted)
b1b39000-b1b99000 rw-s 00000000 00:09 36955 /SYSV00000000 (deleted)
b1b99000-b1bf9000 rw-s 00000000 00:09 36954 /SYSV00000000 (deleted)
b1bf9000-b1c22000 r-xp 00000000 08:01 7562 /usr/lib/libgnomecanvas-2.so.0.1400.0
b1c22000-b1c23000 rw-p 00029000 08:01 7562 /usr/lib/libgnomecanvas-2.so.0.1400.0
b1c23000-b1c5f000 r-xp 00000000 08:01 18653 /usr/lib/libgnomeprintui-2-2.so.0.1.0
b1c5f000-b1c61000 rw-p 0003c000 08:01 18653 /usr/lib/libgnomeprintui-2-2.so.0.1.0
b1c61000-b1c76000 r-xp 00000000 08:01 29705 /usr/lib/libart_lgpl_2.so.2.3.19
b1c76000-b1c77000 rw-p 00014000 08:01 29705 /usr/lib/libart_lgpl_2.so.2.3.19
b1c77000-b1cdb000 r-xp 00000000 08:01 11962 /usr/lib/libgnomeprint-2-2.so.0.1.0
b1cdb000-b1cdd000 rw-p 00063000 08:01 11962 /usr/lib/libgnomeprint-2-2.so.0.1.0
b1ce1000-b1ce7000 r-xp 00000000 08:01 138056 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
b1ce7000-b1ce8000 rw-p 00005000 08:01 138056 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
b1ce8000-b1ced000 r--p 00000000 08:01 25814 /usr/share/locale-langpack/de/LC_MESSAGES/glib20.mo
b1ced000-b1cf3000 r--s 00000000 08:01 56979 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86.cache-2
b1cf3000-b1cf4000 r--s 00000000 08:01 56977 /var/cache/fontconfig/fd9505950c048a77dc4b710eb6a628ed-x86.cache-2
b1cf4000-b1cf7000 r--s 00000000 08:01 56954 /var/cache/fontconfig/ddc79d3ea06a7c6ffa86ede85f3bb5df-x86.cache-2
b1cf7000-b1cf8000 r--s 00000000 08:01 56953 /var/cache/fontconfig/e7071f4a29fa870f4323321c154eba04-x86.cache-2
b1cf8000-b1cf9000 r--s 00000000 08:01 56952 /v...

Read more...

Sebastien Bacher (seb128) wrote :

That's a vlc bug, not a glib one

Changed in glib2.0:
assignee: nobody → desktop-bugs
importance: Undecided → Medium
status: Unconfirmed → Rejected
Sebastien Bacher (seb128) wrote :

As indicated by the warning that's a software bug, vlc should call g_thread_init(). The new glib is not really robust to the bug and upstream is going to work on it but the bugs is a vlc one

Rémi Denis-Courmont (rdenis) wrote :

vlc does not use glib, at least not directly. WxWidgets is hiding it all within its gtk port. I would rather consider this is hence a WxWidgets bug.

abeman (stivenguil) wrote :

same bug, with regnum online too

Changed in vlc:
status: Unknown → In Progress

With today 2007-06-25 VLC updates, VLC still don't start
see the output attached file.

Alon Levy (alonlevy1) wrote :

Preliminaries:
I'm using gutsy

This is definetly a wx problem, but the callstack showes the most recent call as libg. I can trigger it easily with the following python script
(I run it with "cat | python")

import ctypes
gt=ctypes.CDLL('/usr/lib/libgthread-2.0.so.0')
gt.g_thread_init(ctypes.c_voidp(0))

import wx

class BugApp(wx.App):
    def OnInit(self):
        self.frame = frame = wx.Frame(None)
        # double free or corruption
        b = wx.Button(frame, -1, "dfree | corruption", (20,20))
        # stranger stuff
        b = wx.Button(frame, -1, "free or corruption", (20,20))
        self.Bind(wx.EVT_BUTTON, self.OnButton, b)
        frame.Show()
        return True

    def OnButton(self, evt):
        wx.TextEntryDialog(self.frame, "some text", "some text")

app = BugApp()
app.MainLoop()

btw, if you change the length of the title in the wx.Button you get different errors - so basically there is some bad pointer arithmetic going on in that wx.Button call (which is of course a wrapper for the real wxWidgets call).

(it crashes when you press the button)

HTH,

Alon

p.s. The 3 first lines from the stack trace:
*** glibc detected *** python: munmap_chunk(): invalid pointer: 0x085795a0 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6(cfree+0x1bb)[0xb7eae6eb]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xb7cc58e1]
/usr/lib/libwx_gtk2u_core-2.8.so.0[0xb755aa70]

Alon Levy (alonlevy1) wrote :

sorry - libglib, not libg.

Matti Lindell (mlind) wrote :

Yes this is a wxwidgets issue. I'm attaching a patch that should fix it for wxwidgets2.6 and wxwidgets2.8.
These changes are already on wxwidgets2.8 branch and should be in the next 2.8 release.

Changed in wxwidgets2.6:
assignee: nobody → mlind
status: New → Confirmed
Matti Lindell (mlind) wrote :

Here's the same for wxwidgets2.8. This issue should be fixed next release 2.8.5.0, but in the mean time this should probably be applied for applications that use newer wxw. I didn't test this patch out though, but I tried building vlc with wxwidgets2.8 to find out it crashes the same way (volume slider was still missing as before).

Changed in vlc:
status: New → Invalid
Emmet Hikory (persia) on 2007-06-26
Changed in wxwidgets2.6:
assignee: mlind → persia
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in wxwidgets2.8:
assignee: nobody → persia
importance: Undecided → Medium
status: New → In Progress
Matti Lindell (mlind) wrote :

wxwidgets2.6 (2.6.3.2.1.5ubuntu10) gutsy; urgency=low

  * src/gtk/{button,window}.cpp:
    - Use gtk_border_free() not g_free() when freeing GtkBorder's.
      Changes backported from upstream 2.8 branch (LP: #120278).

 -- Matti Lindell <email address hidden> Mon, 25 Jun 2007 23:44:39 +0300

Changed in wxwidgets2.6:
status: In Progress → Fix Released
Emmet Hikory (persia) on 2007-06-26
Changed in wxwidgets2.6:
assignee: persia → crimsun
Emmet Hikory (persia) wrote :

I've not had success compiling the proposed candidate wxwidgets2.8 for gutsy (using `sbuild -A -d gutsy wxwidgets2.8_2.8.4.0-0ubuntu2.dsc`), and as such am unable to test sufficiently for upload. I've unsubscribed ubuntu-universe-sponsors while attempting to test: please check the debdiff, and if it works for you, resubscribe ubuntu-universe-sponsors to request upload.

Changed in wxwidgets2.8:
assignee: persia → mlind
status: In Progress → Incomplete
Matti Lindell (mlind) wrote :

Emmet, pbuilder had no problems compiling wxwidgets2.8 with attached debdiff. My gutsy chroot ran out of space once though, compiling wxwidgets2.8 seems to require quite amount of hdd space. I'll resubscribe universe-sponsors.

Nemes Ioan Sorin (nemes-sorin) wrote :

Same problem with Inkscape and Listen - I compiled Inkscape from SVN Trunk ...same gslice error ( GSlice: g_thread_init() must be called before all other GLib functions; memory corruption due to late invocation of g_thread_init() has been detected; )
then I uninstall it and I put Inkscape from Synaptic, same error, then I download the developer snapshoot release -> same error.

If someone will check on google for Gutsy gslice, "someone" will see that this error is working for a lot of programs not only for VLC.

I do a test - I tried to use VLC with GTK themes ( not GTK 2 ) ...well, VLC is working - but with GTK 2 themes not.

The question is - we will have to wait for each application maintainer to change code to work with gslice OR to change gslice ?

For me Inkscape is dead and I don't see the light here. I don't use Gutsy for production but is impossible for me to test Inkscape new features.

Sebastien Bacher (seb128) wrote :

Nemes, why not using the "G_SLICE=always-malloc" workaround already mentionned on the bug? Comments about all the software not being fixed yet in unstable are not really constructive

Nemes Ioan Sorin (nemes-sorin) wrote :

VLC work with G_SLICE=always-malloc vlc. Gslice msg is still there.

btw Inkscape problems seems to be solved - with the updated libgtkmm-2.4 ( via upgrade ). I compiled Inkscape again from svn -> so Inkscape start and I can work ..but the error message is still there.

Sorry Sebastien for my tone from previous message, I was just tired, stressed, I lost some time compiling / searching solutions.
Anyhow this message from Gslice seem to be a true Pandora's Box.

Adrien Cunin (adri2000) wrote :

No problem building wxwidgets2.8 with the patch in a pbuilder.
I'm doing some testing currently and will probably upload it.
u-u-s unsubscribed.

Matti Lindell (mlind) wrote :

Thanks Adrien. wxGlade is one of the wxwidgets2.8 applications which has a similar bug. Its UI freezes instead of crashing, but backtrace output to terminal is similar. You should probably test if attached patch sorts that issue as well.

Changed in wxwidgets2.8:
assignee: mlind → nobody
status: Incomplete → Triaged
Matti Lindell (mlind) wrote :

Closing the VLC task as wxwidgets was the culprit.

Changed in vlc:
status: Confirmed → Invalid
Adrien Cunin (adri2000) wrote :

It fixes filezilla's crash, so I consider it's fine. :)
wxwidgets2.8 2.8.4.0-0ubuntu2 uploaded, thanks mlind.
mlind: next time use "LP: #bug", "LP#bug" doesn't work.

Changed in wxwidgets2.8:
assignee: nobody → adri2000
importance: Medium → High
status: Triaged → Fix Committed
Changed in wxwidgets2.6:
importance: Medium → High
Matti Lindell (mlind) wrote :

wxwidgets2.8 (2.8.4.0-0ubuntu2) gutsy; urgency=low

  * src/gtk/{button,window}.cpp:
    - Use gtk_border_free not g_free when freeing GtkBorder's.
      Changes from upstream CVS (LP: #120278).

 -- Matti Lindell <email address hidden> Mon, 25 Jun 2007 23:51:17 +0300

Changed in wxwidgets2.8:
status: Fix Committed → Fix Released
Changed in vlc:
status: In Progress → Fix Released
André Barmasse (barmassus) wrote :

Bug has disappeared after upgrading to kernel 2.6.22-7. Good work!

Ulrik Mikaelsson (rawler) wrote :
Download full text (23.2 KiB)

Hmm. I'm still having the same, or a similar problem.

Gutsy, x86_64.

-------------------------------

ulrik@ulrik-desktop:~$ vlc
VLC media player 0.8.6c Janus
*** glibc detected *** vlc: free(): invalid pointer: 0x0000000000b5d220 ***
======= Backtrace: =========
/lib/libc.so.6[0x2ab597ab0b0a]
/lib/libc.so.6(cfree+0x8c)[0x2ab597ab46fc]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0x2aaaac3d1e4e]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN5wxvlc8MessagesC1EP13intf_thread_tP8wxWindow+0x524)[0x2aaaaafb44b4]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN15DialogsProviderC1EP13intf_thread_tP8wxWindow+0x1ea)[0x2aaaaaf75e3a]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_Z21CreateDialogsProviderP13intf_thread_tP8wxWindow+0x34)[0x2aaaaaf763e4]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN8Instance6OnInitEv+0x7d)[0x2aaaaaf4923d]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN12wxAppConsole10CallOnInitEv+0xd)[0x2aaaaaf4a96d]
/usr/lib/libwx_baseu-2.6.so.0(_Z7wxEntryRiPPw+0x22)[0x2aaaacc3aa82]
/usr/lib/vlc/gui/libwxwidgets_plugin.so[0x2aaaaaf4948c]
/usr/lib/libvlc.so.0[0x2ab5969a7710]
/usr/lib/libvlc.so.0(intf_RunThread+0x5a)[0x2ab5969a78ca]
/usr/lib/libvlc.so.0[0x2ab5969a4e02]
vlc[0x400b90]
/lib/libc.so.6(__libc_start_main+0xf4)[0x2ab597a5cb44]
vlc[0x400a39]
======= Memory map: ========
00400000-00401000 r-xp 00000000 fe:05 34435 /usr/bin/vlc
00601000-00602000 rw-p 00001000 fe:05 34435 /usr/bin/vlc
00602000-00bf9000 rw-p 00602000 00:00 0 [heap]
40000000-40001000 ---p 40000000 00:00 0
40001000-40801000 rw-p 40001000 00:00 0
40801000-40802000 ---p 40801000 00:00 0
40802000-41002000 rw-p 40802000 00:00 0
41002000-41003000 ---p 41002000 00:00 0
41003000-41803000 rw-p 41003000 00:00 0
41803000-41804000 ---p 41803000 00:00 0
41804000-42004000 rw-p 41804000 00:00 0
42004000-42005000 ---p 42004000 00:00 0
42005000-42805000 rw-p 42005000 00:00 0
2aaaaaaab000-2aaaaaab0000 r-xp 00000000 fe:05 86320 /usr/lib/vlc/control/libhotkeys_plugin.so
2aaaaaab0000-2aaaaacaf000 ---p 00005000 fe:05 86320 /usr/lib/vlc/control/libhotkeys_plugin.so
2aaaaacaf000-2aaaaacb0000 rw-p 00004000 fe:05 86320 /usr/lib/vlc/control/libhotkeys_plugin.so
2aaaaacb0000-2aaaaacb1000 r-xp 00000000 fe:05 86366 /usr/lib/vlc/misc/libscreensaver_plugin.so
2aaaaacb1000-2aaaaaeb0000 ---p 00001000 fe:05 86366 /usr/lib/vlc/misc/libscreensaver_plugin.so
2aaaaaeb0000-2aaaaaeb1000 rw-p 00000000 fe:05 86366 /usr/lib/vlc/misc/libscreensaver_plugin.so
2aaaaaeb1000-2aaaab042000 r-xp 00000000 fe:05 86473 /usr/lib/vlc/gui/libwxwidgets_plugin.so
2aaaab042000-2aaaab242000 ---p 00191000 fe:05 86473 /usr/lib/vlc/gui/libwxwidgets_plugin.so
2aaaab242000-2aaaab267000 rw-p 00191000 fe:05 86473 /usr/lib/vlc/gui/libwxwidgets_plugin.so
2aaaab267000-2aaaab26e000 rw-p 2aaaab267000 00:00 0
2aaaab26e000-2aaaab26f000 r--p 00000000 fe:05 213794 /usr/lib/locale/sv_SE.utf8/LC_IDENTIFICATION
2aaaab26f000-2aaaab270000 r--p 00000000 fe:05 563212 ...

same here
same here. I don't know if it's related but I MUST use kernel *.20 because of a bug in *.22 (already submitted)

Steffen Sieg (tiger2357-arcor) wrote :
Download full text (78.5 KiB)

Same here, see this output:
stephen@victoryj:~$ vlc -vvvv
VLC media player 0.8.6c Janus
[00000001] main private debug: checking builtin modules
[00000001] main private debug: checking plugin modules
[00000001] main private debug: loading plugins cache file /home/stephen/.vlc/cache/plugins-04041e.dat
[00000001] main private warning: could not open plugins cache file /home/stephen/.vlc/cache/plugins-04041e.dat for reading
[00000001] main private debug: recursively browsing `modules'
[00000001] main private debug: recursively browsing `/usr/lib/vlc'
[00000001] main private debug: recursively browsing `plugins'
[00000001] main private debug: module bank initialized, found 223 modules
[00000001] main private debug: opening config file /home/stephen/.vlc/vlcrc
[00000001] main private debug: CPU has capabilities 486 586 MMX 3DNow! MMXEXT SSE FPU
[00000001] main private debug: looking for memcpy module: 1 candidate
[00000001] main private debug: using memcpy module "memcpy"
[00000285] main playlist debug: waiting for thread completion
[00000285] main playlist debug: thread 3022498704 (playlist) created at priority 0 (playlist/playlist.c:184)
[00000286] main private debug: waiting for thread completion
[00000286] main private debug: thread 3014106000 (preparser) created at priority 0 (playlist/playlist.c:210)
[00000287] main interface debug: looking for interface module: 1 candidate
[00000287] main interface debug: using interface module "hotkeys"
[00000287] main interface debug: thread 3005713296 (interface) created at priority 0 (interface/interface.c:231)
[00000288] main interface debug: looking for interface module: 1 candidate
[00000288] main interface debug: using interface module "screensaver"
[00000288] main interface debug: thread 2997320592 (interface) created at priority 0 (interface/interface.c:231)
[00000289] main interface debug: looking for interface module: 5 candidates
[00000289] main interface debug: using interface module "wxwidgets"
[00000289] main interface debug: thread 2988927888 (manager) created at priority 0 (interface/interface.c:216)
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
*** glibc detected *** vlc: double free or corruption (out): 0x08379d80 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb7be5d65]
/lib/tls/i686/cmov/libc.so.6(cfree+0x90)[0xb7be9800]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xb6f60961]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0xb5cef950]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN8wxButton10SetDefaultEv+0x76)[0xb5cefa36]
/usr/lib/vlc/gui/libwxwidgets_plugin.so(_ZN5wxvlc8MessagesC1EP13intf_thread_tP8wxWindow+0x5b4)[0xb611f6c4]
======= Memory map: ========
08048000-08049000 r-xp 00000000 03:03 1512402 /usr/bin/vlc
08049000-0804a000 rw-p 00000000 03:03 1512402 /usr/bin/vlc
0804a000-083a9000 rw-p 0804a000 00:00 0 [heap]
b0b00000-b0b21000 rw-p b0b00000 00:00 0
b0b21000-b0c00000 ---p b0b21000 00:00 0
b0cfa000-b0d0b000 r--p 00000000 03:46 5151066 ...

Changed in vlc (Mandriva):
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.